package com.xypower.mpmaster.sms;

import android.os.Environment;

import com.xypower.common.JSONUtils;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import java.io.File;

public class UpdateSysConfigUtil {

    public static String SysConfigName = "data/Master.json";

    //创建运维配置文件文件夹
    public static String buildAppDir(String packageurl) {
        String path = Environment.getExternalStorageDirectory().getAbsolutePath();
        if (!path.endsWith(File.separator)) {
            path += File.separator;
        }
        path += packageurl + File.separator;
        File pathFile = new File(path);
        if (!pathFile.exists() && !pathFile.mkdirs()) {
            return null;
        }
        return path;
    }

    //获取配置文件地址
    public static String getAppDir(String packageurl) {
        String path = buildAppDir(packageurl);
        path += SysConfigName;
        return path;
    }

    //修改运维时间表
    public static boolean setAbsHeartbeats(String packageurl, JSONArray jsonArray) {
        String path = getAppDir(packageurl);
        JSONObject jsonObject = JSONUtils.loadJson(path);
        try {
            jsonObject.put("absHeartbeats", jsonArray);
        } catch (JSONException e) {
            throw new RuntimeException(e);
        }
        return JSONUtils.saveJson(path, jsonObject);
    }

    //获取运维时间表
    public static JSONArray getAbsHeartbeats(String packageurl) {
        JSONArray absHeartbeats = new JSONArray();
        String path = getAppDir(packageurl);
        JSONObject jsonObject = JSONUtils.loadJson(path);
        try {
            absHeartbeats = jsonObject.getJSONArray("absHeartbeats");
        } catch (JSONException e) {
            throw new RuntimeException(e);
        }
        return absHeartbeats;
    }

    //修改运维状态 TODO
    public static boolean setMntnMode(String packageurl, int mntnMode) {
        String path = getAppDir(packageurl);
        JSONObject jsonObject = JSONUtils.loadJson(path);
        try {
            jsonObject.put("mntnMode", mntnMode);
        } catch (Exception ex) {
            ex.printStackTrace();
        }
        return JSONUtils.saveJson(path, jsonObject);
    }

    //查询运维状态 TODO
    public static int getMntnMode(String packageurl) {
        int mntnMode = -1;
        String path = getAppDir(packageurl);
        JSONObject jsonObject = JSONUtils.loadJson(path);
        try {
            mntnMode = jsonObject.getInt("mntnMode");
        } catch (Exception ex) {
            ex.printStackTrace();
        }
        return mntnMode;
    }

    //修改运维状态 TODO
    public static boolean setMntnServer(String packageurl, String server, int port) {
        String path = getAppDir(packageurl);
        JSONObject jsonObject = JSONUtils.loadJson(path);
        try {
            jsonObject.put("server", server);
            jsonObject.put("port", port);
        } catch (Exception ex) {
            ex.printStackTrace();
        }
        return JSONUtils.saveJson(path, jsonObject);
    }

    //查询运维状态 TODO
    public static String getMntnServer(String packageurl) {
        String server = "";
        int port = 0;
        String path = getAppDir(packageurl);
        JSONObject jsonObject = JSONUtils.loadJson(path);
        try {
            server = jsonObject.getString("server");
            port = jsonObject.getInt("port");
        } catch (Exception ex) {
            ex.printStackTrace();
        }
        return server + "," + port;
    }
}
